1. Nimm jetzt an unserem Uhans - 3. ADVENT - Gewinnspiel teil - Alle Informationen findest Du hier!

NCP Secure Client Preview Fehler

Dieses Thema im Forum "Sony Ericsson Xperia Mini / Mini Pro Forum" wurde erstellt von mc_eddy, 01.07.2012.

  1. mc_eddy, 01.07.2012 #1
    mc_eddy

    mc_eddy Threadstarter Neuer Benutzer

    Beiträge:
    17
    Erhaltene Danke:
    0
    Registriert seit:
    13.12.2011
    Hallo,
    auf der suche meine FB 7170 mit meinem MiniPro zu verbinden,
    bin ich auf den NCP Secure Client gestoßen.

    Mein OS auf dem MP ist ICS 4.04 (rooted), leider bekomme ich beim Aktivieren des NCP
    die Meldung Error "Android VPN-API not found!".

    Scheint also ein prob. mit der VPN-API zu sein, hat jemand eine idee dazu ???

    Oder gibt es evtl. eine Alternative zu NCP (FB ohne Freetz).

    Gruß
    mc_eddy
     
  2. android-peter, 02.07.2012 #2
    android-peter

    android-peter Erfahrener Benutzer

    Beiträge:
    222
    Erhaltene Danke:
    39
    Registriert seit:
    13.06.2012
    Phone:
    Samsung Galaxy S3
    Hallo mc_eddy,

    also grundsätzlich funktionierte diese App bei mir in mehreren Installationen auf diverse 7270 und 7390-er Boxen (mit und ohne freetz) perfekt und ohne Probleme.
    Das rechtfertigt, wenn ich jetzt etwas "von oben herab" auf deinen gerooteten Androiden schiele ... .

    Aber obwohl der NCP-Client auf Anhieb funktionierte, bin ich auf "VPNCilla" umgestiegen. Grund: hier brauche ich keine WinDOSe, um damit ein Konfigurationsscript zu erzeugen.
    VPNCilla funktioniert perfekt, bietet auch noch ein paar weitere Möglichkeiten (schnell mal umschalten, ob über das VPN nur das heimische LAN erreicht werden oder über die Fritz-Box der gesamte Internet-Traffic gehen soll (Variante für unsichere Internetzugänge).
    Und da ich gern bereit bin, für gute Leistung auch etwas zu löhnen, habe ich den Preis für diese kostenpflichtige App gern gezahlt. Es gibt auch eine zeitlich befristete Testversion.

    MfG Peter
     
  3. mc_eddy, 02.07.2012 #3
    mc_eddy

    mc_eddy Threadstarter Neuer Benutzer

    Beiträge:
    17
    Erhaltene Danke:
    0
    Registriert seit:
    13.12.2011
    Hallo,
    ich habe eben mal VPNCilla inst.

    Da kommt ein fehler:

    Exception Error:
    Unable to find activity class
    {com.android.vpndialogs/com.android.vpndialogs.ConfirmDialog); have you declared this activity in your AndroidManifext.xml?
    Error: the devices Android firmware seems to have an incomplete VPN API.

    SO ein Problem habe ich auch mit dem NCP Secure CLient -> der sagt mir auch was von einer fehlenden vpn.api

    Langsam denke ich sony hat die ICS Firmware irgendwie Beschnitten , :mad::mad::mad::mad:.

    Kann mir da einer weiterhelfen ??

    Gruß
    eddy
     
  4. android-peter, 02.07.2012 #4
    android-peter

    android-peter Erfahrener Benutzer

    Beiträge:
    222
    Erhaltene Danke:
    39
    Registriert seit:
    13.06.2012
    Phone:
    Samsung Galaxy S3
    Ich kann dir da leider nicht weiter helfen.
    Bin zwar ein alter Linuxer - aber erst seit genau 30 Tagen auf dem Androiden.

    Aber was deine Schlussfolgerung betrifft, da gehe ich mit. Könnte stimmen.

    MfG Peter
     
  5. FFMTS, 08.07.2012 #5
    FFMTS

    FFMTS Neuer Benutzer

    Beiträge:
    2
    Erhaltene Danke:
    0
    Registriert seit:
    08.07.2012
    Hi,
    habe ein Sony Xperia Ray und das selbe Problem :(
    Gibt es da keine Möglichkeit, diese API hinzuzufügen?
     
  6. chicla, 08.09.2012 #6
    chicla

    chicla Neuer Benutzer

    Beiträge:
    2
    Erhaltene Danke:
    0
    Registriert seit:
    19.03.2012
    Das Thema ist zwar was älter aber kommt ja immer wieder auf. Deshalb hier meine Erfahrung dazu:
    Xperia mit Android 4.0.4 und VPN läuft nicht.
    Am besten auf Cyanogenmod 9.0 umsteigen. Dann läufts. Oder Android 2.3.5 drauf lassen. Sony hat die VPN-API total vermurkst.
     
  7. FFMTS, 09.09.2012 #7
    FFMTS

    FFMTS Neuer Benutzer

    Beiträge:
    2
    Erhaltene Danke:
    0
    Registriert seit:
    08.07.2012
    Bei mir kam damals ein Update auf 4.1.B.0.587 und Sony hat die VPN API hinzugefügt, sodass ich NCP Secure auf dem Handy nutzen konnte.
     
  8. chicla, 11.09.2012 #8
    chicla

    chicla Neuer Benutzer

    Beiträge:
    2
    Erhaltene Danke:
    0
    Registriert seit:
    19.03.2012
    Glücklich wer ein Xperia Ray hat. Beim Mini ist nichts gekommen. Vielleicht kommt ja noch was. Finde ich aber unverschämt, das man so lange warten muß. Ich kaufe keine SonyEriccson mehr.
     

Diese Seite empfehlen